# List Available Workflows API

**Description:** Retrieves a list of available workflows.

**Try it out:** [Swagger Reference](https://arcee.portal.swaggerhub.com/orchestra/default/arcee-orchestra-v-1-0-0#/default/listWorkflows)

### **Request Syntax:**

```
GET /workflows
Authentication: Bearer <Your API key>
```

### **Response Syntax:**

```json
[
  {
    "workflow_id": "",
    "user_id": "",
    "organization_id": "",
    "created_at": "",
    "created_by": "",
    "description": "",
    "file_metadata": {
        "bucket": "",
        "url": "",
        "key": ""
    },
    "graph": {
        "settings": {
            "support_multiple_edges": boolean
        },
        "input_data": {},
        "description": "",
        "nodes": { ... },
        "edges": [ ... ],
        "entry_point": "",
        "finish_point": "",
        "selectedOutput": "",
        "node_metadata": ""
    },
    "name": "",
    "status": "",
    "updated_at": "",
    "updated_by": "",
    "version": "",
    "public": boolean
    },
    { ...
    }
]
```

<details>

<summary>List Available Workflows Response Example</summary>

Each workflow returned in the API list will include the following information.

<pre><code>[
  {
<strong>    "workflow_id": "1234f567-bb12-1234-b7cd-f7a71a98cd24",
</strong>    "user_id": "2*****************1",
    "organization_id": "2*****************7",
    "created_at": "2025-03-12 00:59:55.465508+00:00",
    "created_by": "2*****************1",
    "description": "A workflow that sends a simple \"hi\" message using the Virtuoso-Large model, starting from a start node, processing the message, and ending with the model's output.",
    "file_metadata": {
        "bucket": "orchestra-workflow-dev2025010618392776890000000a",
        "url": "https://orchestra-workflow-dev2025010618392776890000000a.s3.amazonaws.com/288772212935168457/workflows/hi_20250312_005955_d5f4e21a-f49b-4420-a708-d40b252092be.yaml",
        "key": "288772212935168457/workflows/hi_20250312_005955_d5f4e21a-f49b-4420-a708-d40b252092be.yaml"
    },
    "graph": {
        "settings": {
            "support_multiple_edges": true
        },
        "input_data": {},
        "description": "A workflow that sends a simple \"hi\" message using the Virtuoso-Large model, starting from a start node, processing the message, and ending with the model's output.",
        "nodes": {
            "model_1": {
                "type": "model",
                "metadata": {
                    "description": "Model node",
                    "model": "virtuoso-large",
                    "stream": false,
                    "max_tokens": 8192,
                    "temperature": 0.7,
                    "top_p": 1,
                    "top_k": 50,
                    "repetition_penalty": 0,
                    "messages": [
                        {
                            "role": "system",
                            "content": ""
                        },
                        {
                            "role": "user",
                            "content": "say hi"
                        }
                    ],
                    "output_mapping": {
                        "model_1": "choices[0].message.content"
                    }
                }
            }
        },
        "edges": [
            [
                "START",
                "model_1"
            ],
            [
                "model_1",
                "END"
            ]
        ],
        "entry_point": "model_1",
        "finish_point": "model_1",
        "selectedOutput": "model_1",
        "node_metadata": "{\"nodes\":[{\"id\":\"74326564-3041-41bc-bedc-44053c68bb7c\",\"type\":\"start\",\"data\":{\"inputData\":[],\"description\":\"\",\"outputData\":[],\"messages\":[],\"customName\":\"Start 1\",\"customLabel\":\"start_1\"},\"position\":{\"x\":400,\"y\":250},\"width\":260,\"height\":102},{\"id\":\"eafa038c-222a-4755-b240-a1d10c41fc8d\",\"type\":\"model\",\"data\":{\"inputData\":[],\"model\":{\"fullName\":\"virtuoso-large\",\"shortName\":\"Virtuoso-Large\",\"avatar\":\"/assets/Logo-small-DyzsrxbN.jpg\",\"modelName\":\"virtuoso-large\",\"key\":\"virtuosoLarge\"},\"outputName\":\"model_1\",\"description\":\"Model node\",\"output_mapping\":\"model_1\",\"modelSettings\":{\"max_tokens\":8192,\"temperature\":0.7,\"top_p\":1,\"top_k\":50,\"repetition_penalty\":0,\"stream\":false},\"customName\":\"Model 1\",\"customLabel\":\"model_1\",\"outputData\":[{\"id\":\"3487fe34-6ea3-4e27-b339-e1e919ec3216\",\"type\":\"variable\",\"outputVariable\":{\"variableName\":\"model_1\",\"variableType\":\"Text\",\"nodeName\":\"Model\"}}],\"messages\":[{\"role\":\"system\",\"content\":\"\"},{\"role\":\"user\",\"content\":\"say hi\"}]},\"position\":{\"x\":500,\"y\":360},\"width\":260,\"height\":86,\"selected\":false,\"dragging\":false,\"messages\":[{\"role\":\"system\",\"content\":\"\"},{\"role\":\"user\",\"content\":\"say hi\"}]},{\"id\":\"f5023d4b-fd60-4045-8c57-baf6ad89bfca\",\"type\":\"end\",\"data\":{\"label\":\"End\",\"description\":\"\",\"outputData\":[],\"customName\":\"End 1\",\"customLabel\":\"end_1\",\"output_variable\":{\"model_1\":\"Model 1\"},\"output_mapping\":\"model_1\"},\"position\":{\"x\":675,\"y\":470},\"width\":260,\"height\":132,\"selected\":true,\"dragging\":false}],\"edges\":[{\"id\":\"f88ce626-0f2e-4bf8-b559-8ba1691dbe61\",\"source\":\"74326564-3041-41bc-bedc-44053c68bb7c\",\"target\":\"eafa038c-222a-4755-b240-a1d10c41fc8d\",\"type\":\"default\"},{\"id\":\"a18e985c-67f5-4e15-bee9-d23199a905ad\",\"source\":\"eafa038c-222a-4755-b240-a1d10c41fc8d\",\"target\":\"f5023d4b-fd60-4045-8c57-baf6ad89bfca\",\"type\":\"default\"}],\"viewport\":{},\"avatar\":{\"emoji\":\"🤖\",\"bgColor\":\"hsl(160, 65%, 75%)\"},\"public\":false}"
    },
    "name": "hi",
    "status": "active",
    "updated_at": "2025-03-12 00:59:55.465513+00:00",
    "updated_by": 2*****************1,
    "version": "1.0.0",
    "public": false
    }
]
</code></pre>

</details>

### **Response Syntax Variables**

* **Workflow id**: ID associated with the workflow
* **User id**: ID of the user who created the workflow
* **Organization ID**: ID of the organization where the workflow is stored
* **Created at**: date-time the workflow was created
* **Created by**: User id of the user who created the workflow
* **Description**: Generated description of the workflow. This is what is passed to the routing model to determine when to call the workflow.
* **File Metadata**: Information on where the file is stored
* **Graph**: breakdown of the nodes and connections within the workflow&#x20;
* **Name**: name of the workflow
* **Status**: status of the workflow
  * Can be active or inactive
* **Updated at**: date-time for last time the workflow was updated
* **Updated by**: the user ID of the last person to update the workflow
* **Version**: Version of the workflow
* **Public**: whether the the workflow is public or private. This determines who in the organization can see the workflow


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arcee.ai/arcee-orchestra/workflows/api-invocation/list-available-workflows-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
